DefaultExecutor (Apache Ant API)
Keywords: org.apache.tools.ant.helper.DefaultExecutor,DefaultExecutor class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.helper
Class DefaultExecutor

    java.lang.Object
      |
      +--org.apache.tools.ant.helper.DefaultExecutor

All Implemented Interfaces:
  Executor

public class DefaultExecutor
extends java.lang.Object
implements Executor

Default Target executor implementation. Runs each target individually (including all of its dependencies). If an error occurs, behavior is determined by the Project's "keep-going" mode.

Since:
  Ant 1.6.3

Constructor Summary
`DefaultExecutor()`

Method Summary
`void` | `executeTargets(Project project, java.lang.String[] targetNames)` Execute the specified Targets for the specified Project.
`Executor` | `getSubProjectExecutor()` Get the appropriate subproject Executor instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultExecutor

    public DefaultExecutor()

Method Detail

### executeTargets

    public void executeTargets(Project project,
                               java.lang.String[] targetNames)
                        throws BuildException

  Description copied from interface: `Executor`
  Execute the specified Targets for the specified Project.

  Specified by:
    `executeTargets` in interface `Executor`
  Parameters:
    `project` - the Ant Project.
    `targetNames` - String[] of Target names.
  Throws:
    `BuildException` - on error

### getSubProjectExecutor

    public Executor getSubProjectExecutor()

  Description copied from interface: `Executor`
  Get the appropriate subproject Executor instance.

  Specified by:
    `getSubProjectExecutor` in interface `Executor`
  Returns:
    an Executor instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.